.windCompass {
  display: flex;
  align-items: center;
  column-gap: 0.375rem;

  &__compass {
    display: flex;
    justify-content: center;
    align-items: center;

    width: 1.875rem;
    height: 1.875rem;
    border-radius: 50%;

    background-color: var(--button-color);

    color: white;

    span {
      font-size: 1rem;
    }

    @mixin wind_animation {
      animation: vent 1s ease-in-out infinite alternate;

      @keyframes vent {
        0% {
          transform: rotate(calc(var(--angle) - 4deg));
        }
        100% {
          transform: rotate(calc(var(--angle) + 4deg));
        }
      }
    }

    &--N {
      --angle: 0deg;
      @include wind_animation;
    }
    &--NNE {
      --angle: 22.5deg;
      @include wind_animation;
    }
    &--NE {
      --angle: 45deg;
      @include wind_animation;
    }
    &--ENE {
      --angle: 67.5deg;
      @include wind_animation;
    }
    &--E {
      --angle: 90deg;
      @include wind_animation;
    }
    &--ESE {
      --angle: 112.5deg;
      @include wind_animation;
    }
    &--SE {
      --angle: 135deg;
      @include wind_animation;
    }
    &--SSE {
      --angle: 157.5deg;
      @include wind_animation;
    }
    &--S {
      --angle: 180deg;
      @include wind_animation;
    }
    &--SSW {
      --angle: 202.5deg;
      @include wind_animation;
    }
    &--SW {
      --angle: 225deg;
      @include wind_animation;
    }
    &--WSW {
      --angle: 247.5deg;
      @include wind_animation;
    }
    &--W {
      --angle: 270deg;
      @include wind_animation;
    }
    &--WNW {
      --angle: 292.5deg;
      @include wind_animation;
    }
    &--NW {
      --angle: 315deg;
      @include wind_animation;
    }
    &--NNW {
      --angle: 337.5deg;
      @include wind_animation;
    }
  }

  &__direction {
    font-family: var(--text-font);
    font-weight: 500;
    font-size: 0.875rem;
    line-height: var(--line-height);
    color: var(--text-color);
  }
}
